Page MenuHomePhabricator

/maniphest/report/project/ : Maximum execution time of 10 seconds exceeded
Closed, ResolvedPublic

Description

UNRECOVERABLE FATAL ERROR <<<

Maximum execution time of 10 seconds exceeded
/srv/phab/phabricator/src/infrastructure/query/policy/PhabricatorPolicyAwareQuery.php:264
┻━┻ ︵ ¯\_(ツ)_/¯ ︵ ┻━┻

https://phabricator.wikimedia.org/maniphest/report/project/

Related Objects

Event Timeline

Nemo_bis created this task.Jan 31 2016, 9:52 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Restricted Application added subscribers: StudiesWorld, Luke081515, scfc, Aklapper. · View Herald TranscriptJan 31 2016, 9:52 PM

Not sure what to say about that. The queries on that page are expensive, sometimes they will probably time out. It's sort of to be expected.

Aklapper triaged this task as Low priority.Feb 9 2016, 10:57 PM
greg added a subscriber: greg.

I can't get it to load at all today, that doesn't seem right, right?

greg added a comment.Apr 1 2016, 4:57 PM

I can't get it to load at all today, that doesn't seem right, right?

Ok ok, it took 6 tries, but I got it to load now. :)

Paladox added a subscriber: Paladox.EditedSep 6 2016, 11:32 AM

I guess we should file this upstream to see if any performance improvements can be done to it?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 6 2016, 11:32 AM

We should debug a bit ourselves first before potentially contacting upstream.
https://secure.phabricator.com/book/phabricator/article/performance/ for anyone interested.

We have php's maximum execution time set much lower than the default. I don't think that it would fail with the default 10 seconds.

@mmodell , i thought it was already 10 seconds?

What about increasing it to 15 or 20 seconds?

Change 335714 had a related patch set uploaded (by Paladox):
Up max_execution to 20 from 10 in phabricator/php.ini.erb

https://gerrit.wikimedia.org/r/335714

Change 335714 abandoned by Paladox:
Up max_execution to 15 from 10 in phabricator/php.ini.erb

https://gerrit.wikimedia.org/r/335714

Aklapper added a comment.EditedMar 24 2017, 3:34 PM

https://phabricator.wikimedia.org/maniphest/report/project/ seems to work for me again. Not sure why.
Other queries such as https://phabricator.wikimedia.org/maniphest/report/?order=oldest-pri still sometimes do not work, sometimes they do.

mmodell added a comment.EditedMar 27 2017, 10:42 AM

It's because the report is very computationally expensive to generate, so it can only complete within the time limit when all of the circumstances align perfectly. This only works in the exceedingly rare event such as when the moon is full while simultaneously there is unusually little activity on all of phabricator's servers (web app + database).

This still appears to be an issue.

UNRECOVERABLE FATAL ERROR <<<

Maximum execution time of 10 seconds exceeded
/srv/deployment/phabricator/deployment-cache/revs/7dd45143c333b8fb854b8f40bd96c46ea56a0970/phabricator/src/applications/maniphest/controller/ManiphestReportController.php:528
┻━┻ ︵ ¯\_(ツ)_/¯ ︵ ┻━┻

Patch was abandoned.

Is it at least possible to catch the exception and print that it's a pretty normal error, with a link to this task ?

Aklapper added a comment.EditedDec 2 2017, 11:20 PM

Which problem would that solve which outweighs the costs for maintaining some custom patch to link to some custom bug report?

Change 410631 had a related patch set (by Paladox) published:
[operations/puppet@production] Phabricator: Raise php max_execution_time to 15

https://gerrit.wikimedia.org/r/410631

Paladox added a comment.EditedFeb 15 2018, 2:25 AM

I've raised the timeout here ^^ hoping that will at least improve it some what, but this does seem very slow.

Timeout says it is on https://github.com/wikimedia/phabricator/blob/wmf/stable/src/infrastructure/edges/query/PhabricatorEdgeQuery.php#L257

@Paladox: Please read Chad's comment from 2017-02-06 on https://gerrit.wikimedia.org/r/#/c/335714/ again.
Ignoring feedback is not a good use of anybody else's time.

@Aklapper sorry, i forgot about that, i cannot remember everything.

Change 410631 abandoned by Paladox:
Phabricator: Raise php max_execution_time to 15

https://gerrit.wikimedia.org/r/410631

Aklapper moved this task from To Triage to Misc on the Phabricator board.Aug 29 2018, 8:18 PM
Paladox added a subscriber: MGChecker.

We increased the max_execution_time to 30s in https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/477595/ for php-fpm.

So once we switch to stretch we can switch on php-fpm and then it should work.

greg removed a subscriber: greg.Apr 11 2019, 9:49 PM
Dzahn changed the status of subtask T190568: Reimage both phab1001 and phab2001 to stretch from Stalled to Open.May 23 2019, 4:50 AM
Dzahn added a subscriber: Dzahn.May 23 2019, 4:17 PM

We increased the max_execution_time to 30s in https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/477595/ for php-fpm.
So once we switch to stretch we can switch on php-fpm and then it should work.

This has happened last night :) Does it work now ?

Paladox closed this task as Resolved.May 23 2019, 4:17 PM
Paladox claimed this task.

Yup! It loads now!